# MNIST-estimator example Using IBM Distributed Deep Learning

## About

The `mnist-estimator.py` script is a simple example that demonstrates how to modify a TensorFlow estimator script to use IBM Distributed Deep Learning (DDL).

## Running MNIST-estimator

Before running the script, make sure there is a conda environment activated with the `ddl-tensorflow` package installed.

The examples should also be copied into a user directory by running the following command:

```bash
$ ddl-tensorflow-install-samples <somedir>
```

To run `mnist-estimator.py` on two machines named host1 and host2 that each have 4 GPUs:

```bash
$ ddlrun -H host1,host2 python mnist-estimator.py
```

To train the MNIST estimator model in TensorFlow's eager execution:

```bash
$ ddlrun -H host1,host2 python mnist-estimator.py --eager
```

`mnist-dist-strat-estimator.py` script is a modified version using TensorFlow Distribution Strategy with DDL.

&copy; Copyright IBM Corporation 2018, 2019
